Skip to content
Start here

Get Workflow details

client.Workflows.Get(ctx, workflowName, query) (*WorkflowGetResponse, error)
GET/accounts/{account_id}/workflows/{workflow_name}

Retrieves configuration and metadata for a specific workflow.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers Tail ReadWorkers Scripts WriteWorkers Scripts Read
ParametersExpand Collapse
workflowName string
maxLength64
minLength1
query WorkflowGetParams
AccountID param.Field[string]
ReturnsExpand Collapse
type WorkflowGetResponse struct{…}
ID string
formatuuid
ClassName string
CreatedOn Time
formatdate-time
Instances WorkflowGetResponseInstances
Complete float64optional
Errored float64optional
Paused float64optional
Queued float64optional
Running float64optional
Terminated float64optional
Waiting float64optional
WaitingForPause float64optional
ModifiedOn Time
formatdate-time
Name string
maxLength64
minLength1
ScriptName string
TriggeredOn Time
formatdate-time

Get Workflow details

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/workflows"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  workflow, err := client.Workflows.Get(
    context.TODO(),
    "x",
    workflows.WorkflowGetParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", workflow.ID)
}
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "instances": {
      "complete": 0,
      "errored": 0,
      "paused": 0,
      "queued": 0,
      "running": 0,
      "terminated": 0,
      "waiting": 0,
      "waitingForPause": 0
    },
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "script_name": "script_name",
    "triggered_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "messages": [
    {
      "code": 0,
      "message": "message"
    }
  ],
  "result": {
    "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "class_name": "class_name",
    "created_on": "2019-12-27T18:11:19.117Z",
    "instances": {
      "complete": 0,
      "errored": 0,
      "paused": 0,
      "queued": 0,
      "running": 0,
      "terminated": 0,
      "waiting": 0,
      "waitingForPause": 0
    },
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "x",
    "script_name": "script_name",
    "triggered_on": "2019-12-27T18:11:19.117Z"
  },
  "success": true,
  "result_info": {
    "count": 0,
    "per_page": 0,
    "total_count": 0,
    "cursor": "cursor",
    "page": 0
  }
}